List a broadcast's emails

GET
/v1/broadcasts/{id}/emails

The emails made so far, one per contact, newest first.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The broadcast's id.

Query Parameters

limit?integer

1-100, default 50.

Range1 <= value <= 100
after?string

Cursor: the id of the last email of the previous page.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of emails.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.broadcasts.listEmails("bcast_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "list",  "data": [    {      "object": "email",      "id": "email_01k7c8m4q2f3e9v6t5r1n0p8yz",      "from": "Acme <onboarding@acme.com>",      "to": [        "user@example.com"      ],      "cc": [],      "bcc": [],      "reply_to": [],      "subject": "Welcome to Acme",      "html": "<p>Thanks for signing up!</p>",      "text": null,      "headers": {},      "tags": [        {          "name": "template",          "value": "welcome"        }      ],      "category": "onboarding",      "stream": "transactional",      "status": "sent",      "failure": null,      "recipients": [        {          "address": "user@example.com",          "type": "to",          "status": "delivered",          "last_event_at": "2026-10-10T12:00:02.000Z"        }      ],      "sandbox": false,      "tracking": {        "opens": false,        "clicks": false,        "unsubscribe": false,        "open_count": 0,        "first_opened_at": null,        "last_opened_at": null,        "click_count": 0,        "first_clicked_at": null,        "last_clicked_at": null      },      "attachments": [],      "created_at": "2026-10-10T12:00:00.000Z",      "sent_at": "2026-10-10T12:00:01.000Z",      "scheduled_at": null,      "batch_id": null,      "template": null,      "broadcast_id": null    }  ],  "has_more": true}